
@charset "UTF-8";

/* Template & Designed by Towako. */
/* https://ninawas.me */

/* ウェブフォントの読み込み */
@import url('https://fonts.googleapis.com/css2?family=Noto+Serif+JP&family=Yuji+Syuku&display=swap');

/* 全体に適用する */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-weight: normal;
    font-family: 'Noto Serif JP', serif;
}

/* 基本設定 */
body {
    background-color: var(--bg-color);
    text-align: center;
    line-height: 1.7;
    letter-spacing: 0.1em;
    font-size: 13px;
    color: #444;
}

:root {
    --bg-color: #ffffb2;
    --light-color: #fff;
}

/* リンク */
a {
    text-decoration: none;
    font-weight: bold;
    color: #cd5655;
}

/* 大見出し */
header h1 {
    position: relative;
    left: 20%;
    padding-top: 5%;
    writing-mode: vertical-rl;
    -ms-writing-mode: tb-rl;
    -webkit-writing-mode: vertical-rl;
    font-family: 'Yuji Syuku', serif;
    color: var(--light-color);
}

/* メインコンテンツ */
main {
    padding: 3em;
    background-color: var(--light-color);
}

main,
article {
    text-align: justify;
    word-break: break-all;
}

/* セクション */
section {
    margin-bottom: 3em;
}

section h2 img {
    width: 20px;
    height: auto;
}

/* リスト */
section ul,
section ol {
    margin-left: 1em;
    margin-bottom: 1em;
    list-style-position: inside;
}

section ol {
    list-style-type: cjk-ideographic;
}

section ul.border {
    padding-left: 0.5em;
    list-style-type: none;
    border-left: thin solid #000;
}

section ul.yoko li {
    display: inline-block;
}

/* アーティクル */
article {
    margin: 0 auto;
    padding: 3em;
    width: 100%;
    max-width: 600px;
    background-color: var(--light-color);
}

article h1 {
    margin-bottom: 1em;
    width: 50%;
    border-bottom: thin solid #000;
}

/* メニュー */
.menu {
    text-align: center;
    margin: 1em auto 1.5em;
}

.menu li {
    display: inline-block;
    margin: 0 0.5em;
}

.menu li a {
    font-weight: bold;
}

/* フォーム系 */
textarea,
input[type] {
    -webkit-appearance: none;
    padding: 0.3em 0.5em;
    background-color: var(--bg-color);
    border: none;
    border-radius: 0;
    color: #000;
}

textarea {
    width: 200px;
    height: 70px;
}

input[type=text] {
    width: 100px;
}

input[type=submit] {
    width: auto;
}

/* 横幅768px以上で読み込む */
@media screen and (min-width:768px) {

    /* フォントサイズ */
    body {
        font-size: 14px;
    }
}

/* 横幅1024px以上で読み込む */
@media screen and (min-width:1024px) {

    /* フォントサイズ */
    body {
        font-size: 15px;
    }

    /* フレックス */
    #wrap {
        display: flex;
    }

    #headerwrap {
        flex-basis: 400px;
    }

    header h1 {
        text-shadow: 0 0 5px #996c2e;
    }

    main {
        min-height: 100vh;
        flex-basis: calc(100% - 500px);
    }

}

/* 横幅1440px以上で読み込む */
@media screen and (min-width:1440px) {

    /* カラム */
    main {
        columns: auto 2;
    }

}